maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ArneD <pub...@degenring.de>
Subject Javadoc-Plugin - enhancement to support different JDK
Date Wed, 04 Apr 2007 16:04:21 GMT

Dear Maven committers,

there is an issue in JIRA to make the Javadoc-Plugin support running Javadoc
from a JDK other than the one in JAVA_HOME. This is necessary if you e.g.
run your build with JDK 1.4, because it's the default JDK in an
organization, and want to build some JDK 1.5 projects on the same CI server.
You can configure the compiler and surefire plugins to use JDK 1.5, but
currently it's not possible with the javadoc plugin. This makes the build
fail because obviously Javadoc 1.4 does not recognize Java 1.5 features such
as annotations.

Could a Maven committer be so kind and have a quick look at the issue? Wayne
has already provided a patch. I've made a suggestion to do it a little bit
differently, and could implement a new patch. But I only want to do this, if
a Maven committer agrees to the desired behaviour and would be ready to
apply the patch shortly after I supplied it. In that case, it would be great
to get the plugin released soon afterwards as well.

http://jira.codehaus.org/browse/MJAVADOC-98

Thanks in advance!
Arne
-- 
View this message in context: http://www.nabble.com/Javadoc-Plugin---enhancement-to-support-different-JDK-tf3526409s177.html#a9839126
Sent from the Maven Developers mailing list archive at Nabble.com.


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@maven.apache.org
For additional commands, e-mail: dev-help@maven.apache.org


Mime
View raw message